package com.adealink.weparty.commonui.drag

import android.graphics.Rect
import android.view.View

interface IDragView : IDraggable, IDragMinimizable {

    fun getZIndex(): Int

    fun getLayerType(): Int

    fun setAvailableArea(rect: Rect)

    /**
     * 改变悬浮视图化位置
     */
    fun setLocation(x: Int, y: Int)

    fun getView(): View

    fun setDragLocationKey(key: String)

    fun resetToLastLocationAfterLayout(reset: Boolean)

    fun updateDragLocation()
}
